<?php

session_start();

date_default_timezone_set('America/Lima');



require_once ("../../config/Cado.php");



require_once ("../talonario/cTalonario.php");

$oTalonario= new cTalonario();

require_once("../guiaremision/cGuiaremision.php");

$oGuiaremision = new cGuiaremision();

require_once ("../documento/cDocumento.php");

$oDocumento= new cDocumento();

require_once ("../producto/cCatalogo.php");

$oCatalogo = new cCatalogo();



require_once ("../documento/cDocumento.php");

$oDocumento= new cDocumento();



require_once ("../venta/cVenta.php");

$oVenta = new cVenta();



require_once ("../historial/cHistorial.php");

$oHistorial = new cHistorial();



require_once("../formatos/formato.php");



if($_POST['action']=="insertar")

{

	if(!empty($_POST['txt_guia_fec']))

	{

	

	$dts= $oDocumento->mostrarUno($_POST['cmb_doc_id']);

		$dt = mysqli_fetch_array($dts);

		$doc_nom=$dt['tb_documento_nom'];

		$doc_abr=$dt['tb_documento_abr'];

		mysqli_free_result($dts);

	

		if($doc_abr=='T'){

		$ser = 'T00'.$_SESSION['usuario_ser'];

		}else if($doc_abr=='F'){

		$ser = 'F00'.$_SESSION['usuario_ser'];

		}else if($doc_abr=='B'){

		$ser = 'B00'.$_SESSION['usuario_ser'];

		}else if($doc_abr=='GR'){

		$ser = 'GR00'.$_SESSION['usuario_ser'];

		}else if($doc_abr=='NC'){

		$ser = 'NC00'.$_SESSION['usuario_ser'];

		}else if($doc_abr=='P'){

		$ser = 'P00'.$_SESSION['usuario_ser'];

		}

		

		$dts= $oTalonario->correlativo($_SESSION['puntoventa_id'],$_POST['cmb_doc_id'],$ser);

		$dt = mysqli_fetch_array($dts);

			$tal_id=$dt['tb_talonario_id'];

			$tal_ser=$dt['tb_talonario_ser'];

			$tal_fin=$dt['tb_talonario_fin'];

			$tal_num=$dt['tb_talonario_num'];

		mysqli_free_result($dts);



		$numero=$tal_num;

		$largo=strlen($tal_fin);

		$numero=str_pad($numero,$largo, "0", STR_PAD_LEFT);

		$numdoc=$tal_ser.'-'.$numero;

		

		/* if($_POST['txt_guia_numdoc'] == $numdoc){

			$numdocguia  = $numdoc;

		}else{

			$numdocguia  = $_POST['txt_guia_numdoc'];

		} */

		

		if($_POST['cmb_guia_mot']==2){

			$numdoc_rel = $_POST['txt_guia_numdoc_doc'];

		}else{

			$numdoc_rel = $_POST['hdd_numdoc'];

		}

		

		

		//insertamos venta

		$rs=$oGuiaremision->insertar(

			fecha_mysql($_POST['txt_guia_fec']),

			$_POST['cmb_doc_id'],

			$numdoc,

			'1',

			$_POST['hdd_guia_cli_id'],

			$_POST['txt_guia_cli_doc'],

			$_POST['txt_guia_cli_nom'],

			'',

			'',

			'',

			'',

			intval($_POST['hdd_venta_id']),

			$numdoc_rel,

			$_POST['cmb_guia_mot'],

			'',

			'',

			$_POST['txt_ori_guia'],

			$_POST['txt_des_guia'],

			'',

			$_SESSION['usuario_id'],

			$_SESSION['puntoventa_id'],

			$_POST['txt_ate_guia'],

			'',

			'',

			fecha_mysql($_POST['txt_guia_fec']),

			'0',

			''

		);



		//ultima venta

		$dts=$oGuiaremision->ultimoInsert();

		$dt = mysqli_fetch_array($dts);

		$guiaid=$dt['id'];

		mysqli_free_result($dts);



		//talonario

		

		//if($_POST['txt_guia_numdoc'] == $numdoc){

		

		$estado='1';

		if($tal_num==$tal_fin)

		{

			$estado='2';

		}

		$numero=$tal_num+1;

		$rs3 = $oTalonario->actualizar_correlativo($tal_id, $numero, $estado);

		

		//}

		if(isset($_SESSION['guia_can']))foreach($_SESSION['guia_can'] as $indice=>$linea_cantidad)

		{

			

				$dts=$oCatalogo->mostrarUno($_SESSION['guia_catid'][$indice],$_SESSION['guia_marid'][$indice]);

				$dt = mysqli_fetch_array($dts);

				$pes = $dt['tb_productomarca_pes'];	

				

			if($_SESSION['guia_can'][$indice]>0){

			

			$oGuiaremision->insertar_detalle(

				$_SESSION['guia_can'][$indice],

				$_SESSION['guia_catid'][$indice],

				$_SESSION['guia_marid'][$indice],

				$pes,

				intval($pre_uni),

				$guiaid

			);

		}

		

		}

		

		unset($_SESSION['guia_can']);

		unset($_SESSION['guia_catid']);

		unset($_SESSION['guia_marid']);

		

		

		if($_POST['hdd_venta_id']>0){

			$det = 'GUIA DE REMISION REGISTRADA DESDE VENTAS [Nº '.$numdoc.' | DOCUMENTO RELACIONADO: '.$numdoc_rel.']';

		}else{

			$det = 'GUIA DE REMISION REGISTRADA [Nº '.$numdoc.']';

		}

		

		$user_agen = $_SERVER['HTTP_USER_AGENT'];

		$mod = 19;

		$mod_ide = $guiaid;

		

		$fec = date('Y-m-d');

		$doc_id = 23;

		$numdoc = $numdoc;

		$ip = mostrar_ip();

	 	

		$oHistorial->insertar(

		fecha_mysql($fec),

		$det,

		$ip,

		intval($_SESSION['usuario_id']),

		intval($mod),

		intval($mod_ide),

		intval($doc_id),

		$numdoc

		);

	

	  	$data['guia_id'] = $guiaid;

  		$data['guia_msj']='Se registró correctamente: GUIA REMISION N°: '.$numdoc;

		$data['guia_est']=1;

			

	}

	else

	{

		$data['guia_msj']='Intentelo nuevamente.';

	}

	

	echo json_encode($data);

}



?>